STOFFOLEParser.hxx File Reference
`#include <string>`
`#include <vector>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <libstaroffice/STOFFDocument.hxx>`
`#include "libstaroffice_internal.hxx"`
`#include "STOFFPosition.hxx"`
`#include "STOFFDebug.hxx"`

Go to the source code of this file.

## Classes

class | STOFFOLEParser
| a class used to parse some basic oles Tries to read the different ole parts and stores their contents in form of picture. More...
struct | STOFFOLEParser::OleContent
| structure use to store an object content More...
struct | STOFFOLEParser::OleDirectory
| Internal: internal method to keep ole directory and their content. More...

## Namespaces

namespace | STOFFOLEParserInternal
| Low level: namespace used to define/store the data used by STOFFOLEParser.